Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class DayDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
                  |
                  +--weblogic.apache.xerces.validators.datatype.DateTimeValidator
                        |
                        +--weblogic.apache.xerces.validators.datatype.DayDatatypeValidator

public class DayDatatypeValidator
extends DateTimeValidator

Validator for datatype (W3C Schema datatypes)

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: DayDatatypeValidator.java,v 1.5 2001/06/21 20:56:05 elena Exp $
Author:
  Elena Litani

Fields inherited from class weblogic.apache.xerces.validators.datatype.DateTimeValidator
`CY, D, DAY, EQUAL, fBuffer, fDateValue, fEnd, fEnumSize, fStart, GREATER_THAN, h, hh, LESS_THAN, m, M, message, mm, MONTH, MONTH_SIZE, ms, s, timeZone, TOTAL_SIZE, utc, YEAR`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`fEnumeration, fMaxExclusive, fMaxInclusive, fMinExclusive, fMinInclusive, INDETERMINATE`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`DayDatatypeValidator()`
`DayDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected java.lang.String` | `dateToString(int[] date)` Converts gDay object representation to String
`protected int[]` | `parse(java.lang.String str, int[] date)` Parses, validates and computes normalized version of gDay object

Methods inherited from class weblogic.apache.xerces.validators.datatype.DateTimeValidator
`assignAdditionalFacets, checkContent, clone, compare, compareDates, compareOrder, compareValues, findUTCSign, fQuotient, fQuotient, getDate, getMaxExclusive, getMaxInclusive, getMinExclusive, getMinInclusive, getTime, getTimeZone, getYearMonth, indexOf, initializeValues, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseTimeZone, reportError, resetBuffer, resetDateObj, setEnumeration, setMaxExclusive, setMaxInclusive, setMinExclusive, setMinInclusive, validate, validateDate, validateDateTime`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`checkBaseFacetConstraints, checkFacetConstraints, inheritAdditionalFacets`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DayDatatypeValidator

    public DayDatatypeValidator()
                         throws InvalidDatatypeFacetException

### DayDatatypeValidator

    public DayDatatypeValidator(DatatypeValidator base,
                                java.util.Hashtable facets,
                                boolean derivedByList)
                         throws InvalidDatatypeFacetException

Method Detail

### parse

    protected int[] parse(java.lang.String str,
                          int[] date)
                   throws SchemaDateTimeException

  Parses, validates and computes normalized version of gDay object

  Parameters:
    `str` - The lexical representation of gDay object ---DD with possible time zone Z or (-),(+)hh:mm Pattern: ---(\\d\\d)(Z|(([-+])(\\d\\d)(:(\\d\\d))?
    `date` - uninitialized date object
  Returns:
    normalized date representation
  Throws:
    java.lang.Exception - Invalid lexical representation
  Overrides:
    parse in class DateTimeValidator

### dateToString

    protected java.lang.String dateToString(int[] date)

  Converts gDay object representation to String

  Parameters:
    `date` - gDay object
  Returns:
    lexical representation of gDay: ---DD with an optional time zone sign
  Overrides:
    dateToString in class DateTimeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference